Skip to main content
GET
/
v2.0
/
vehicles
/
{id}
/
{make}
/
climate
/
cabin
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/climate/cabin" \
-H "Authorization: Bearer {token}" \
-X "GET"
{
  "status": "ON",
  "temperature": 20
}

Documentation Index

Fetch the complete documentation index at: https://smartcar.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint is currently available for tesla

Permission

read_climate

Request

Path
id
string
required
The vehicle ID of the vehicle you are making a request to.
make
string
required
The make of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/{make}/climate/cabin" \
-H "Authorization: Bearer {token}" \
-X "GET"

Response

status
string
The current state of the climate cabin system.
temperature
number
The target temperature setting of the vehicle when the climate system is on (in Celsius by default or in Fahrenheit using the sc-unit-system).
{
  "status": "ON",
  "temperature": 20
}